| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
StatusCondition Class Referencefinal

The StatusCondition class is a specific Condition that is associated with each Entity. More...

`#include <StatusCondition.hpp>`

Inheritance diagram for StatusCondition:
[legend]

## Public Member Functions

| StatusCondition (Entity *parent)
| ~StatusCondition () final
| StatusCondition (const StatusCondition &)=delete
StatusCondition & | operator= (const StatusCondition &)=delete
| StatusCondition (StatusCondition &&)=delete
StatusCondition & | operator= (StatusCondition &&)=delete
FASTDDS_EXPORTED_API bool | get_trigger_value () const override
| Retrieves the trigger_value of the Condition.
FASTDDS_EXPORTED_API ReturnCode_t | set_enabled_statuses (const StatusMask &mask)
| Defines the list of communication statuses that are taken into account to determine the trigger_value.
FASTDDS_EXPORTED_API const StatusMask & | get_enabled_statuses () const
| Retrieves the list of communication statuses that are taken into account to determine the trigger_value.
FASTDDS_EXPORTED_API Entity * | get_entity () const
| Returns the Entity associated.
detail::StatusConditionImpl * | get_impl () const
Public Member Functions inherited from Condition
detail::ConditionNotifier * | get_notifier () const

## Protected Attributes

Entity * | entity_ = nullptr
| DDS Entity for which this condition is monitoring the status.
std::unique_ptr< detail::StatusConditionImpl > | impl_
| Class implementation.
Protected Attributes inherited from Condition
std::unique_ptr< detail::ConditionNotifier > | notifier_

## Additional Inherited Members

Protected Member Functions inherited from Condition
| Condition ()
virtual | ~Condition ()

## Detailed Description

The StatusCondition class is a specific Condition that is associated with each Entity.

## Constructor & Destructor Documentation

## ◆ StatusCondition() [1/3]

StatusCondition | ( | Entity * | parent | ) |

## ◆ ~StatusCondition()

~StatusCondition | ( |  | ) |

final

## ◆ StatusCondition() [2/3]

StatusCondition | ( | const StatusCondition & |  | ) |

delete

## ◆ StatusCondition() [3/3]

StatusCondition | ( | StatusCondition && |  | ) |

delete

## Member Function Documentation

## ◆ get_enabled_statuses()

FASTDDS_EXPORTED_API const StatusMask & get_enabled_statuses | ( |  | ) | const

Retrieves the list of communication statuses that are taken into account to determine the trigger_value.

Returns
  Status set or default status if it has not been set

## ◆ get_entity()

FASTDDS_EXPORTED_API Entity * get_entity | ( |  | ) | const

Returns the Entity associated.

Returns
  Entity

## ◆ get_impl()

detail::StatusConditionImpl * get_impl | ( |  | ) | const

inline

## ◆ get_trigger_value()

FASTDDS_EXPORTED_API bool get_trigger_value | ( |  | ) | const

override virtual

Retrieves the trigger_value of the Condition.

Returns
  true if trigger_value is set to 'true', 'false' otherwise

Reimplemented from Condition.

## ◆ operator=() [1/2]

StatusCondition & operator= | ( | const StatusCondition & |  | ) |

delete

## ◆ operator=() [2/2]

StatusCondition & operator= | ( | StatusCondition && |  | ) |

delete

## ◆ set_enabled_statuses()

FASTDDS_EXPORTED_API ReturnCode_t set_enabled_statuses | ( | const StatusMask & | mask | ) |

Defines the list of communication statuses that are taken into account to determine the trigger_value.

Parameters

  mask | defines the mask for the status

Returns
  RETCODE_OK with everything ok, error code otherwise

## Member Data Documentation

## ◆ entity_

Entity* entity_ = nullptr

protected

DDS Entity for which this condition is monitoring the status.

## ◆ impl_

std::unique_ptr<detail::StatusConditionImpl> impl_

protected

Class implementation.

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/condition/StatusCondition.hpp